## org.eclipse.datatools.connectivity.sqm.core.rte
Class RefreshManager

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.RefreshManager

    public class RefreshManager

extends java.lang.Object

Method Summary
`void` `AddListener(ICatalogObject interestedObject, ICatalogObjectListener listener)`
`void` `clearListener()`
`static RefreshManager` `getInstance()`
`void` `referesh(ICatalogObject object)`
`void` `removeListener(ICatalogObject interestedObject, ICatalogObjectListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RefreshManager getInstance()

### AddListener

    public void AddListener(ICatalogObject interestedObject,
                            ICatalogObjectListener listener)

### removeListener

    public void removeListener(ICatalogObject interestedObject,
                               ICatalogObjectListener listener)

### clearListener

    public void clearListener()

### referesh

    public void referesh(ICatalogObject object)